Skip to content

Intercom API (Unstable)

The intercom API reference.

Download OpenAPI description
Languages
Servers
The production API server
https://api.intercom.io/
The european API server
https://api.eu.intercom.io/
The australian API server
https://api.au.intercom.io/

Admins

Everything about your Admins

SchemasOperations

AI Content

With the AI Content APIs, you can create and manage External Pages and Content Import Sources for your Fin Content Library.

 

External Pages are pages that you want Fin to be able to answer questions about. The API for External Pages is a great way to ingest into your Fin Content Library pages that are not publicly accessible and hence can't be crawled by Intercom.

 

Content Import Sources are the sources of those pages, and they are used to determine the default audience for the pages (configured via the UI). You should create a Content Import Source for each source of External Pages that you want to ingest into your Fin Content Library.

 

You can then iterate through the content from that source via its API and POST it to the External Pages endpoint. That endpoint has an external_id parameter which allows you to specify the identifier from the source. The endpoint will then either create a new External Page or update an existing one as appropriate.",

SchemasOperations

Articles

Everything about your Articles

SchemasOperations

Away Status Reasons

Everything about your Away Status Reasons

Operations

Brands

Everything about your Brands

SchemasOperations

Calls

Everything about your Calls

SchemasOperations

Companies

Everything about your Companies

SchemasOperations

Contacts

Everything about your contacts

SchemasOperations

Content Snippets

Everything about your Content Snippets

SchemasOperations

Conversations

Everything about your Conversations

SchemasOperations

Custom Channel Events

With the "Custom Channel" integration, you can bring Fin and Intercom capabilities to your own platform via API, enabling powerful custom integrations.

Intercom treats your integration like any other Intercom channel, allowing your application and Intercom to exchange events seamlessly. This makes it possible, for example, for your users to interact with Fin directly within your own application’s UI.

Note: "Fin over API" is currently under managed availability. Please reach out to your accounts team to discuss access and tailored, hands-on support.

Operations

Custom Object Instances

Everything about your Custom Object instances.

Permission Requirements

From now on, to access this endpoint, you need additional permissions. Please head over to the Developer Hub app package authentication settings to configure the required permissions.

SchemasOperations

Data Attributes

Everything about your Data Attributes

SchemasOperations

Data Connectors

Everything about your Data Connectors

SchemasOperations

Data Events

Everything about your Data Events

SchemasOperations

Data Export

Everything about your Data Exports

SchemasOperations

Emails

Everything about your Emails

SchemasOperations

Help Center

Everything about your Help Center

SchemasOperations

Internal Articles

Everything about your Internal Articles

SchemasOperations

Jobs

Everything about jobs

SchemasOperations

Macros

Operations related to saved replies (macros) in conversations

SchemasOperations

Messages

Everything about your messages

SchemasOperations

News

Everything about your News

SchemasOperations

Notes

Everything about your Notes

SchemasOperations

Segments

Everything about your Segments

SchemasOperations

Subscription Types

Everything about subscription types

SchemasOperations

Switch

Everything about Switch

Operations

Tags

Everything about tags

SchemasOperations

Teams

Everything about your Teams

SchemasOperations

Ticket States

Everything about your ticket states

Operations

Ticket Type Attributes

Everything about your ticket type attributes

Operations

Ticket Types

Everything about your ticket types

Operations

Tickets

Everything about your tickets

SchemasOperations

Visitors

Everything about your Visitors

Operations

Workflows

Export workflow configurations from your workspace.

Operations

Models

Schemas

Update Data Connector Request

Update an existing data connector. All fields are optional — only provided fields will be updated. Set state to live or draft to change the connector's state.

namestring

The name of the data connector.

Example: "Updated Connector Name"
descriptionstring

A description of what this data connector does.

Example: "Updated description"
statestring

The desired state of the connector.

Enum"draft""live"
http_methodstring

The HTTP method used by the data connector.

Enum"get""post""put""delete""patch"
Example: "post"
urlstring

The URL of the external API endpoint. Supports template variables like {{order_id}}.

Example: "https://api.example.com/orders/{{order_id}}/status"
bodystring

The request body template. Supports template variables.

direct_fin_usageboolean

Whether this connector is used directly by Fin.

Example: false
audiencesArray of strings

The audience types this connector targets.

Items Enum"leads""users""visitors"
Example: ["leads","users"]
headersArray of objects

HTTP headers to include in the request.

data_inputsArray of objects

The input parameters accepted by this data connector. Replaces all existing inputs.

customer_authenticationboolean

Whether OTP authentication is enabled for this connector.

Example: false
bypass_authenticationboolean

Whether authentication is bypassed for this connector.

Example: false
validate_missing_attributesboolean

Whether to validate missing attributes before execution.

Example: true
mock_responseobject

A sample JSON response from the external API. Auto-generates response_fields and sets configuration_response_type to mock_response_type.

Example: {"order":{"id":12345,"status":"shipped"}}
token_idsArray of strings

IDs of authentication tokens to attach to this data connector. An empty array removes all tokens.

Example: ["1234","5678"]
{ "name": "Updated Connector Name", "description": "Updated description", "state": "draft", "http_method": "post", "url": "https://api.example.com/orders/{{order_id}}/status", "body": "string", "direct_fin_usage": false, "audiences": [ "leads", "users" ], "headers": [ {} ], "data_inputs": [ {} ], "customer_authentication": false, "bypass_authentication": false, "validate_missing_attributes": true, "mock_response": { "order": {} }, "token_ids": [ "1234", "5678" ] }

Data Connector Execution Result List

A paginated list of data connector execution results.

typestring

The type of object - list.

Value"list"
Example: "list"
dataArray of objects(Data Connector Execution Result)

An array of execution result objects.

pagesobject

Pagination information.

{ "type": "list", "data": [ {} ], "pages": { "type": "pages", "per_page": 10, "next": {} } }

Data Connector List

A paginated list of data connectors.

typestring

The type of object - list.

Value"list"
Example: "list"
dataArray of objects(Data Connector)

An array of data connector objects.

pagesobject

Pagination information.

{ "type": "list", "data": [ {} ], "pages": { "type": "pages", "per_page": 20, "next": {} } }

Export

Operations

Folders

SchemasOperations

WhatsApp

Operations